server {
    listen <%= ENV['PORT'] %>;
    server_name localhost;

    root         /app/dist;
    index        index.html;

    location /api/ {
        rewrite    /api/(.*) /$1 break;
        proxy_pass <%= ENV['API_URL'] %>;
    }
    location /assets/ {
        add_header Cache-Control max-age=31536000;
    }
    location /index.html {
        add_header Cache-Control no-cache;
    }
    location = / {
        proxy_pass <%= ENV['DOCS_URL'] %>;
    }
    location ~ ^/(accessibilite|cgu|documentation|demonstration|webinaires|faq|mentions-legales|newsletter|nouveautes|politique-de-confidentialite|statistiques|votre-avis|dsfr|images|deveco\.css) {
        proxy_pass <%= ENV['DOCS_URL'] %>;
    }
    location / {
        try_files $uri $uri/ /index.html;
    }

    error_page   500 502 503 504  /50x.html;

    location = /50x.html {
        root   /usr/share/nginx/html;
    }

    ##
    # `gzip` Settings
    #
    #
    gzip on;
    gzip_disable "msie6";

    gzip_vary on;
    gzip_proxied any;
    gzip_comp_level 6;
    gzip_buffers 16 8k;
    gzip_http_version 1.1;
    gzip_min_length 256;
    gzip_types
      application/atom+xml
      application/geo+json
      application/javascript
      application/x-javascript
      application/json
      application/ld+json
      application/manifest+json
      application/rdf+xml
      application/rss+xml
      application/xhtml+xml
      application/xml
      font/eot
      font/otf
      font/ttf
      image/svg+xml
      text/css
      text/javascript
      text/plain
      text/xml;
}
